/*
The software in this package is distributed under the GNU General
Public License version 2 (with a special exception described below).

A copy of GNU General Public License (GPL) is included in this distribution,
in the file COPYING.GPL.

As a special exception, if other files instantiate templates or use macros
or inline functions from this file, or you compile this file and link it
with other works to produce a work based on this file, this file
does not by itself cause the resulting work to be covered
by the GNU General Public License.

However the source code for this file must still be made available
in accordance with section (3) of the GNU General Public License.

This exception does not invalidate any other reasons why a work based
on this file might be covered by the GNU General Public License.
*/
/** @file
 * @brief restricts html code to an allowed group of tags.
 *
 * @copyright &copy; Copyright 2017 Intra2net AG
 *
 */

#ifndef __RESTRICTED_HTML_HPP
#define __RESTRICTED_HTML_HPP

#include <string>

namespace I2n
{


std::string decode_url(std::string s);

std::string encode_url(std::string s);


class RedirectHash
{
    public:
        RedirectHash() : Filename("/var/intranator/etc/redirect_secret_id"){}

        void set_custom_filename(std::string custom_filename);

        void load_secret_id();

        std::string hash_url(const std::string &url);

        std::string sign_urls(const std::string &html);

        bool validate_redirect_authtag(const std::string &url,
                                        const std::string &authtag);

    private:
        std::string Filename;

        std::string SecretId;
};

} // eo namespace I2n

#endif
